﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ThinkGeo.MapSuite.DesktopEdition;
using ThinkGeo.MapSuite.Core;

namespace Post8715Sample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.DecimalDegree;
            winformsMap1.CurrentExtent = new RectangleShape(-155.733, 95.60, 104.42, -81.9);

            WorldMapKitWmsDesktopOverlay worldMapKitOverlay = new WorldMapKitWmsDesktopOverlay();
            winformsMap1.Overlays.Add(worldMapKitOverlay);

            SimpleMarkerOverlay markerOverlay = new SimpleMarkerOverlay();
            markerOverlay.MapControl = winformsMap1;

            Marker marker1 = new Marker(-113.547125, 36.0296875);
            marker1.Image = new Bitmap(@"..\..\data\n.png");
            marker1.Width = 20;
            marker1.Height = 34;
            marker1.YOffset = -17;
            markerOverlay.Markers.Add(marker1);

            Marker marker2 = new Marker(6.68725000000001, -16.0015625);
            marker2.Image = new Bitmap(@"..\..\data\s.png");
            marker2.Width = 20;
            marker2.Height = 34;
            marker2.YOffset = -17;
            markerOverlay.Markers.Add(marker2);


            Marker marker3 = new Marker(-102.297125, -59.5953125);
            marker3.Image = new Bitmap(@"..\..\data\nw.png");
            marker3.Width = 20;
            marker3.Height = 34;
            marker3.YOffset = -17;
            markerOverlay.Markers.Add(marker3);

            winformsMap1.Overlays.Add("MarkerOverlay", markerOverlay);

            winformsMap1.Refresh();
        }
    }
}
